Subject: Re: 2.6 support for MPC8541(e)

From: Clemens Koller <[email-masked]>
Date: Tue, 28 Jun 2005 18:06:17 +0200

Hi!

I had to do the same for my MPC8540 board (Microsys PM854).
It's based on the MPC8540_ADS platform, too with
changes in PCI subsystem and Gigabit Ethernet (gianfar_phy).

Enable early serial and enjoy printk.
Try to find out, where it hangs.

Greets,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19

Kumar Gala wrote:
> You probably need to port the platform code from 2.4 to 2.6 for this  
> board.  I'm guessing you are running into some PCI config issue with  
> interrupts and the such.
> 
> Take a look at arch/ppc/platforms/85xx/* for examples of boards that  
> support 85xx processors.
> 
> - kumar
> 
> On Jun 28, 2005, at 9:03 AM, <[email-masked]> <[email-masked]>  wrote:
> 
>> I've recently received a GDA PCI-G8400 evaluation board with an
>> MPC8541E.  It came with u-boot 1.1.2 and a 2.4.27 kernel.
>>
>> Our hopes are to get a 2.6 kernel running on this device so it is in
>> sync with out MPC8248 based boards.
>>
>> What is the status of the support for these chips?  When I enable
>> CONFIG_SERIAL_TEXT_DEBUG I'm able to get some output, it seems to die
>> when initializing openpic.  There also appears to be issues with the
>> serial console as I'm not getting printk output at all, and I think I
>> should be by the time start_kernel is entered.
>>
>> My current 2.6.12 builds use the MPC8540_ADS configs as a base.  The
>> 2.4 that was received with the board does as well.
>>
>> For now I'm not concerned with the 'E' part.  My main job is to
>> actually add support for the security engine, but I'd like to get 2.6
>> up and running first.  Yes, this is my first jump into machine
>> specific code..
>>
>> Thanks.
>>
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>